AOWP_PHPFileIncludeStatementElement (AOWP)

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr

aowp.parser.ast.AOWP_PHPFileIncludeStatementElement
/parser/ast/PHPFileIncludeStatementElement.class.php at line 17

# Class AOWP_PHPFileIncludeStatementElement

    AOWP_PHPElement
        └─AOWP_PHPFileIncludeStatementElement

public class AOWP_PHPFileIncludeStatementElement
extends AOWP_PHPElement

PHPのASTにおける「include, require」を表すクラス。 文法規則: unticked_statement。

Author:
  Ryoto Naruse /

Field Summary
final str | TYPE_INCLUDE
final str | TYPE_INCLUDE_ONCE
final str | TYPE_REQUIRE
final str | TYPE_REQUIRE_ONCE
AOWP_PHPElement | $expr require_once 'sample.php'; require $a; include_once $b['a']; include $a->b(); 上から順に、{@link AOWP_PHPScalarExprElement}、{@link AOWP_PHPVariableElement}、 {@link AOWP_PHPReferenceVariableElement}、{@link AOWP_PHPObjectOperatorElement}。
string | $type

Fields inherited from aowp.parser.ast.AOWP_PHPElement
NO_ARRAY, _line, parent, propertyIndex, propertyName

Constructor Summary
AOWP_PHPFileIncludeStatementElement(mixed _line, mixed type, mixed expr)

Method Summary
void | __toString()
string | getScalarExprFileName()
void | kind()
void | setScalarExpr(string exprString)

Methods inherited from aowp.parser.ast.AOWP_PHPElement
__clone, __toString, getChildren, getParent, getParentContainer, getParentPropertyIndex, getParentPropertyName, initialize, kind, line, releaseInstance, setParent, setParentInfo

## Field Detail

/parser/ast/PHPFileIncludeStatementElement.class.php at line 20

### TYPE_INCLUDE

`public final str TYPE_INCLUDE = 'include'`

/parser/ast/PHPFileIncludeStatementElement.class.php at line 21

### TYPE_INCLUDE_ONCE

`public final str TYPE_INCLUDE_ONCE = 'include_once'`

/parser/ast/PHPFileIncludeStatementElement.class.php at line 18

### TYPE_REQUIRE

`public final str TYPE_REQUIRE = 'require'`

/parser/ast/PHPFileIncludeStatementElement.class.php at line 19

### TYPE_REQUIRE_ONCE

`public final str TYPE_REQUIRE_ONCE = 'require_once'`

/parser/ast/PHPFileIncludeStatementElement.class.php at line 41

### expr

`public AOWP_PHPElement $expr`

`require_once 'sample.php'; require $a; include_once $b['a']; include $a->b();` 上から順に、`AOWP_PHPScalarExprElement`、`AOWP_PHPVariableElement`、 `AOWP_PHPReferenceVariableElement`、`AOWP_PHPObjectOperatorElement`。

/parser/ast/PHPFileIncludeStatementElement.class.php at line 27

### type

`public string $type`

## Constructor Detail

/parser/ast/PHPFileIncludeStatementElement.class.php at line 43

### AOWP_PHPFileIncludeStatementElement

`public AOWP_PHPFileIncludeStatementElement(mixed _line, mixed type, mixed expr)`

## Method Detail

/parser/ast/PHPFileIncludeStatementElement.class.php at line 71

### __toString

`public void __toString()`

/parser/ast/PHPFileIncludeStatementElement.class.php at line 53

### getScalarExprFileName

`public string getScalarExprFileName()`

/parser/ast/PHPFileIncludeStatementElement.class.php at line 75

### kind

`public void kind()`

/parser/ast/PHPFileIncludeStatementElement.class.php at line 67

### setScalarExpr

`public void setScalarExpr(string exprString)`

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr